## org.eclipse.m2m.atl.dsls.tcs.injector
Class TCSRuntime.Context

    java.lang.Object
      org.eclipse.m2m.atl.dsls.tcs.injector.TCSRuntime.Context

Enclosing class:
  TCSRuntime

    protected class TCSRuntime.Context

extends java.lang.Object

Constructor Summary
`TCSRuntime.Context()`

Method Summary
`void` `add(java.lang.Object e)`
`void` `add(java.lang.Object e, java.lang.String valueTypeName, java.lang.String keyName, java.lang.Object keyVal)`
`TCSRuntime.Context` `enterContext(java.lang.Object element)`
`java.lang.Object` `getElement()`
`java.util.Map` `getElementByVal(java.lang.String valueTypeName, java.lang.String keyName)`
`void` `importContext(TCSRuntime.Context c)`
`TCSRuntime.Context` `parent()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TCSRuntime.Context

    public TCSRuntime.Context()

Method Detail

### enterContext

    public TCSRuntime.Context enterContext(java.lang.Object element)

### add

    public void add(java.lang.Object e)

### add

    public void add(java.lang.Object e,
                    java.lang.String valueTypeName,
                    java.lang.String keyName,
                    java.lang.Object keyVal)

### parent

    public TCSRuntime.Context parent()

### importContext

    public void importContext(TCSRuntime.Context c)

### getElement

    public java.lang.Object getElement()

### getElementByVal

    public java.util.Map getElementByVal(java.lang.String valueTypeName,
                                         java.lang.String keyName)

  Parameters:
    `valueTypeName` -
    `keyName` -

Copyright 2007 IBM Corporation and others. All Rights Reserved.